import * as t from "react";
import { TooltipProviderContext as a } from "./TooltipProviderContext.js";
import { jsx as i } from "react/jsx-runtime";
import { FloatingDelayGroup as d } from "../../floating-ui-react/components/FloatingDelayGroup.js";
const m = function(r) {
  const {
    delay: o,
    closeDelay: e,
    timeout: l = 400
  } = r, n = t.useMemo(() => ({
    delay: o,
    closeDelay: e
  }), [o, e]), c = t.useMemo(() => ({
    open: o,
    close: e
  }), [o, e]);
  return /* @__PURE__ */ i(a.Provider, {
    value: n,
    children: /* @__PURE__ */ i(d, {
      delay: c,
      timeoutMs: l,
      children: r.children
    })
  });
};
process.env.NODE_ENV !== "production" && (m.displayName = "TooltipProvider");
export {
  m as TooltipProvider
};
